<mat-card style="width: 350px; margin: 1rem;" (click)="navigateToDetails()">
  <mat-card-content>

    <div class="card-image-header" style="position: relative;">
      <img *ngIf="!product?.image" src="assets/images/default-product.png" alt="coffee" style="object-fit: contain; width: 350px;">
<!--      <img *ngIf="!product?.imageBlob" src="assets/images/coffee.jpg" alt="coffee" style="object-fit: contain; width: 350px;">-->
      <img *ngIf="product?.imageBlob" [src]="domSanitizer.bypassSecurityTrustResourceUrl(image)" alt="coffee" style="object-fit: fill; height:200px; width: 350px;">

    <img *ngIf="product?.hasDiscount" src="assets/images/discount.png" alt="discount" style="width: 50px; background-color: transparent; height: 50px; position: absolute; right: 1%; bottom: 1%;">
    </div>

    <div fxLayout="column" style="padding: 15px; ">

      <div fxLayout="row">
        <label fxFlex="80" style="font-weight: 700; font-size: 24px;">
          {{product?.title}}
        </label>
        <label fxFlex="20" style="text-align: right;">{{ product?.hasDiscount ? product?.alternativePrice : product?.price}} €</label>

        </div>

      <div fxLayout="row" style="margin-top: 1rem; overflow-y: auto; height: 200px;" >
        <label fxFlex="100" style="font-weight: 400;">
          {{product?.description}}
        </label>
      </div>
    </div>

  </mat-card-content>
</mat-card>
